/***
 * Excerpted from "Google Web Toolkit",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/ebgwt for more book information.
***/
package com.xyz.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.ClickListener;
import com.google.gwt.user.client.ui.RootPanel;
import com.google.gwt.user.client.ui.Widget;
import com.xyz.client.AppMessages;

/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */

public class I18N implements EntryPoint {
   private static final AppMessages MESSAGES = (AppMessages) GWT
         .create(AppMessages.class);

   private Button m_clickMeButton;

   public void onModuleLoad() {
      RootPanel rootPanel = RootPanel.get();
      {
         m_clickMeButton = new Button();
         rootPanel.add(m_clickMeButton);
         m_clickMeButton.setText(MESSAGES.m_clickMeButton_text());
         m_clickMeButton.addClickListener(new ClickListener() {
            public void onClick(Widget sender) {
               Window.alert(MESSAGES.m_helloAlert_text("GWT"));
            }
         });
      }
   }
}

