/***
 * Excerpted from "Google Web Toolkit",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/ebgwt for more book information.
***/
package com.xyz.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.ClickListener;
import com.google.gwt.user.client.ui.RootPanel;
import com.google.gwt.user.client.ui.Widget;

/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class JSNIExample implements EntryPoint {

   /**
    * This is the entry point method.
    */
   public void onModuleLoad() {
      final Button button1 = new Button("Alert");

      
      button1.addClickListener(new ClickListener() {
         public void onClick(Widget sender) {
            Alert.alert("clicked!");
         }
      });
      

      final Button button2 = new Button("TestJ2JSNumeric");

      button2.addClickListener(new ClickListener() {
         public void onClick(Widget sender) {
            J2JS.testJ2JSNumeric();
         }
      });

      final Button button3 = new Button("TestJ2JSString");

      button3.addClickListener(new ClickListener() {
         public void onClick(Widget sender) {
            J2JS.testJ2JSString();
         }
      });

      final Button button4 = new Button("TestJ2JSBoolean");

      button4.addClickListener(new ClickListener() {
         public void onClick(Widget sender) {
            J2JS.testJ2JSBoolean();
         }
      });

      final Button button5 = new Button("TestJ2JSObject");

      button5.addClickListener(new ClickListener() {
         public void onClick(Widget sender) {
            J2JS.testJ2JSObject();
         }
      });

      RootPanel.get().add(button1);
      RootPanel.get().add(button2);
      RootPanel.get().add(button3);
      RootPanel.get().add(button4);
      RootPanel.get().add(button5);
   }
}
