/***
 * Excerpted from "Google Web Toolkit",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/ebgwt for more book information.
***/
package com.xyz.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.ClickListener;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.RootPanel;
import com.google.gwt.user.client.ui.Widget;

/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class MyApp implements EntryPoint {

   
   /**
    * This is the entry point method.
    */
   public void onModuleLoad() {
      final Button button = new Button("Click me");
      final Label label = new Label();
      //...
      

      
      button.addClickListener(new ClickListener() {
         public void onClick(Widget sender) {
            if (label.getText().equals(""))
               label.setText("Hello World!");
            else
               label.setText("");
         }
      });
      

      
      // Assume that the host HTML has elements defined whose
      // IDs are "slot1", "slot2". In a real app, you probably would not want
      // to hard-code IDs. Instead, you could, for example, search for all
      // elements with a particular CSS class and replace them with widgets.
      //
      RootPanel.get("slot1").add(button);
      RootPanel.get("slot2").add(label);
      
   }
}
