/***
 * Excerpted from "Google Web Toolkit",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/ebgwt for more book information.
***/
package com.xyz.server;

import java.util.List;

import com.google.gwt.user.client.rpc.RemoteService;


public interface MyService extends RemoteService {
   /**
    * The first annotation indicates that the parameter named 'c' is
    * a List that will only contain Integer objects. The second
    * annotation indicates that the returned List will only contain
    * String objects (notice there is no need for a name, since it
    * is a return value).
    * 
    * @gwt.typeArgs c <java.lang.Integer>
    * @gwt.typeArgs <java.lang.String>
    */
   List reverseListAndConvertToStrings(List c);
}
