/***
 * Excerpted from "Google Web Toolkit",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/ebgwt for more book information.
***/
package com.xyz.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.ClickListener;
import com.google.gwt.user.client.ui.Grid;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.RootPanel;
import com.google.gwt.user.client.ui.TextBox;
import com.google.gwt.user.client.ui.Widget;

/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class FormExample implements EntryPoint {

   
   Label nameLabel = new Label("Name:");
   TextBox nameBox = new TextBox();
   Label addrLabel = new Label("Address:");
   TextBox addrBox = new TextBox();
   Label phoneLabel = new Label("Phone number:");
   TextBox phoneBox = new TextBox();
   Button button = new Button("Submit");

   Grid grid = new Grid(4, 2);

   

   
   public void onModuleLoad() {
      grid.setWidget(0, 0, nameLabel);
      grid.setWidget(0, 1, nameBox);
      grid.setWidget(1, 0, addrLabel);
      grid.setWidget(1, 1, addrBox);
      grid.setWidget(2, 0, phoneLabel);
      grid.setWidget(2, 1, phoneBox);
      grid.setWidget(3, 1, button);
      RootPanel.get().add(grid);
      // ...
      

      
      button.addClickListener(new ClickListener() {
         public void onClick(Widget sender) {
            grid.setVisible(false);
            RootPanel.get().add(
                  new Label("Thanks for your submission."));
            Window.alert("Submit name=" + nameBox.getText()
                  + "\naddress=" + addrBox.getText() + "\nphone="
                  + phoneBox.getText());
         }
      });
      
      
   }
   
}
